Skip to main content
GET
/
country_coverage
/
countries
/
{country_code}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.countryCoverage.retrieveCountry('US');

console.log(response.data);
{
  "data": {
    "code": "US",
    "numbers": true,
    "features": [
      "hd_voice",
      "emergency",
      "voice",
      "mms",
      "fax",
      "sms",
      "international_sms"
    ],
    "phone_number_type": [
      "local",
      "local",
      "local",
      "toll_free"
    ],
    "reservable": true,
    "quickship": true,
    "international_sms": true,
    "p2p": true,
    "local": {
      "features": [
        "hd_voice",
        "voice",
        "international_sms",
        "mms",
        "fax",
        "sms",
        "emergency"
      ],
      "reservable": true,
      "quickship": false,
      "international_sms": true,
      "p2p": true,
      "full_pstn_replacement": true
    },
    "toll_free": {
      "features": [
        "voice",
        "mms",
        "fax",
        "sms",
        "emergency"
      ],
      "reservable": true,
      "quickship": true,
      "international_sms": false,
      "p2p": false,
      "full_pstn_replacement": false
    },
    "mobile": {},
    "national": {},
    "inventory_coverage": true,
    "shared_cost": {},
    "region": "AMER"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

country_code
string
required

Country ISO code.

Example:

"US"

Response

Response for specific country coverage

data
object
Example:
{
  "code": "US",
  "numbers": true,
  "features": [
    "hd_voice",
    "emergency",
    "voice",
    "mms",
    "fax",
    "sms",
    "international_sms"
  ],
  "phone_number_type": ["local", "local", "local", "toll_free"],
  "reservable": true,
  "quickship": true,
  "international_sms": true,
  "p2p": true,
  "local": {
    "features": [
      "hd_voice",
      "voice",
      "international_sms",
      "mms",
      "fax",
      "sms",
      "emergency"
    ],
    "reservable": true,
    "quickship": false,
    "international_sms": true,
    "p2p": true,
    "full_pstn_replacement": true
  },
  "toll_free": {
    "features": ["voice", "mms", "fax", "sms", "emergency"],
    "reservable": true,
    "quickship": true,
    "international_sms": false,
    "p2p": false,
    "full_pstn_replacement": false
  },
  "mobile": {},
  "national": {},
  "inventory_coverage": true,
  "shared_cost": {},
  "region": "AMER"
}